//
// Copyright (C) 2022 Open Source Robotics Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        (unknown)
// source: domain/value_objects.proto

package domain

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// GroupID is a Simulation identifier. It's used across different services when they need to refer
// to a specific Simulation.
type GroupID struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// GroupId contains the group id value.
	GroupId string `protobuf:"bytes,1,opt,name=group_id,json=groupId,proto3" json:"group_id,omitempty"`
}

func (x *GroupID) Reset() {
	*x = GroupID{}
	if protoimpl.UnsafeEnabled {
		mi := &file_domain_value_objects_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GroupID) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GroupID) ProtoMessage() {}

func (x *GroupID) ProtoReflect() protoreflect.Message {
	mi := &file_domain_value_objects_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GroupID.ProtoReflect.Descriptor instead.
func (*GroupID) Descriptor() ([]byte, []int) {
	return file_domain_value_objects_proto_rawDescGZIP(), []int{0}
}

func (x *GroupID) GetGroupId() string {
	if x != nil {
		return x.GroupId
	}
	return ""
}

var File_domain_value_objects_proto protoreflect.FileDescriptor

var file_domain_value_objects_proto_rawDesc = []byte{
	0x0a, 0x1a, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2f, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x5f, 0x6f,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x64, 0x6f,
	0x6d, 0x61, 0x69, 0x6e, 0x22, 0x24, 0x0a, 0x07, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x44, 0x12,
	0x19, 0x0a, 0x08, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x42, 0x31, 0x5a, 0x2f, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x67, 0x6e, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x72, 0x6f, 0x62, 0x6f, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x73,
	0x69, 0x6d, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_domain_value_objects_proto_rawDescOnce sync.Once
	file_domain_value_objects_proto_rawDescData = file_domain_value_objects_proto_rawDesc
)

func file_domain_value_objects_proto_rawDescGZIP() []byte {
	file_domain_value_objects_proto_rawDescOnce.Do(func() {
		file_domain_value_objects_proto_rawDescData = protoimpl.X.CompressGZIP(file_domain_value_objects_proto_rawDescData)
	})
	return file_domain_value_objects_proto_rawDescData
}

var file_domain_value_objects_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_domain_value_objects_proto_goTypes = []interface{}{
	(*GroupID)(nil), // 0: domain.GroupID
}
var file_domain_value_objects_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_domain_value_objects_proto_init() }
func file_domain_value_objects_proto_init() {
	if File_domain_value_objects_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_domain_value_objects_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GroupID); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_domain_value_objects_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_domain_value_objects_proto_goTypes,
		DependencyIndexes: file_domain_value_objects_proto_depIdxs,
		MessageInfos:      file_domain_value_objects_proto_msgTypes,
	}.Build()
	File_domain_value_objects_proto = out.File
	file_domain_value_objects_proto_rawDesc = nil
	file_domain_value_objects_proto_goTypes = nil
	file_domain_value_objects_proto_depIdxs = nil
}
